## AgsApplyPresets

AgsApplyPresets — apply presets

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_apply_presets_soundcard ()
AgsApplyPresets * | ags_apply_presets_new ()

## Properties

guint | buffer-size | Read / Write
guint | format | Read / Write
guint | pcm-channels | Read / Write
guint | samplerate | Read / Write
GObject * | scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsApplyPresets

## Includes

    #include <ags/audio/task/ags_apply_presets.h>

## Description

The AgsApplyPresets task apply the specified presets.

## Functions

### ags_apply_presets_soundcard ()

    void
    ags_apply_presets_soundcard (AgsApplyPresets *apply_presets,
                                 GObject *soundcard);

### ags_apply_presets_new ()

    AgsApplyPresets *
    ags_apply_presets_new (GObject *scope,
                           guint pcm_channels,
                           guint samplerate,
                           guint buffer_size,
                           guint format);

Creates a new instance of AgsApplyPresets.

#### Parameters

scope | a GObject |
pcm_channels | pcm channels |
samplerate | samplerate |
buffer_size | buffer size |
format | format |

#### Returns

the new AgsApplyPresets.

Since: 3.0.0

## Property Details

### The `“buffer-size”` property

      “buffer-size”              guint

The count of buffer-size to apply.

Owner: AgsApplyPresets

Flags: Read / Write

Allowed values: <= 65535

Default value: 0

Since: 3.0.0

### The `“format”` property

      “format”                   guint

The count of format to apply.

Owner: AgsApplyPresets

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“pcm-channels”` property

      “pcm-channels”             guint

The count of pcm-channels to apply.

Owner: AgsApplyPresets

Flags: Read / Write

Allowed values: <= 65535

Default value: 0

Since: 3.0.0

### The `“samplerate”` property

      “samplerate”               guint

The count of samplerate to apply.

Owner: AgsApplyPresets

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“scope”` property

      “scope”                    GObject *

The assigned GObject

Owner: AgsApplyPresets

Flags: Read / Write

Since: 3.0.0